using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Stock.Models {
	public class Article {
		public static readonly Dictionary<Guid, Article> Stock;
		static Article() {
			Stock = new Dictionary<Guid, Article>();
			Article a;
			a = new Article() { Nom = "Chaussure de securite basiques", Prix = 156.5m, Quantite = 100 };
			Stock.Add(a.ID, a);
			a = new Article() { Nom = "Chaussure de securite renforcees et traitees anti-odeur", Prix = 459.95m, Quantite = 10 };
			Stock.Add(a.ID, a);
			a = new Article() { Nom = "Ecran 72'' 16/10 Ultra 4K", Prix = 5, Quantite = 5 };
			Stock.Add(a.ID, a);
		}
		public Guid ID { get; set; }
		public string Nom { get; set; }
		public decimal Prix { get; set; }
		public int Quantite { get; set; }
		public Article() {
			ID = Guid.NewGuid();
		}
	}
}